diff --git a/arch/arm/cpu/arm920t/start.S b/arch/arm/cpu/arm920t/start.S
index e9326f4b5b14..e2b5f2bff4a9 100644
--- a/arch/arm/cpu/arm920t/start.S
+++ b/arch/arm/cpu/arm920t/start.S
@@ -35,7 +35,7 @@ reset:
 	orr	r0, r0, #0xd3
 	msr	cpsr, r0
 
-#if	defined(CONFIG_AT91RM9200DK) || defined(CONFIG_AT91RM9200EK)
+#if	defined(CONFIG_AT91RM9200DK)
 	/*
 	 * relocate exception table
 	 */
diff --git a/arch/arm/mach-at91/Kconfig b/arch/arm/mach-at91/Kconfig
index 1adf09b9a148..c90505e5edcb 100644
--- a/arch/arm/mach-at91/Kconfig
+++ b/arch/arm/mach-at91/Kconfig
@@ -69,10 +69,6 @@ choice
 	prompt "Atmel AT91 board select"
 	optional
 
-config TARGET_AT91RM9200EK
-	bool "Atmel AT91RM9200 evaluation kit"
-	select CPU_ARM920T
-
 config TARGET_AT91SAM9260EK
 	bool "Atmel at91sam9260 reference board"
 	select AT91SAM9260
@@ -307,7 +303,6 @@ config ATMEL_SFR
 config SYS_SOC
 	default "at91"
 
-source "board/atmel/at91rm9200ek/Kconfig"
 source "board/atmel/at91sam9260ek/Kconfig"
 source "board/atmel/at91sam9261ek/Kconfig"
 source "board/atmel/at91sam9263ek/Kconfig"
diff --git a/board/atmel/at91rm9200ek/Kconfig b/board/atmel/at91rm9200ek/Kconfig
deleted file mode 100644
index 952351dcdbd6..000000000000
--- a/board/atmel/at91rm9200ek/Kconfig
+++ /dev/null
@@ -1,12 +0,0 @@
-if TARGET_AT91RM9200EK
-
-config SYS_BOARD
-	default "at91rm9200ek"
-
-config SYS_VENDOR
-	default "atmel"
-
-config SYS_CONFIG_NAME
-	default "at91rm9200ek"
-
-endif
diff --git a/board/atmel/at91rm9200ek/MAINTAINERS b/board/atmel/at91rm9200ek/MAINTAINERS
deleted file mode 100644
index b25bc5802901..000000000000
--- a/board/atmel/at91rm9200ek/MAINTAINERS
+++ /dev/null
@@ -1,7 +0,0 @@
-AT91RM9200EK BOARD
-M:	Andreas Bießmann <andreas@biessmann.org>
-S:	Maintained
-F:	board/atmel/at91rm9200ek/
-F:	include/configs/at91rm9200ek.h
-F:	configs/at91rm9200ek_defconfig
-F:	configs/at91rm9200ek_ram_defconfig
diff --git a/board/atmel/at91rm9200ek/Makefile b/board/atmel/at91rm9200ek/Makefile
deleted file mode 100644
index 2d5c28082f99..000000000000
--- a/board/atmel/at91rm9200ek/Makefile
+++ /dev/null
@@ -1,7 +0,0 @@
-# SPDX-License-Identifier: GPL-2.0+
-#
-# (C) Copyright 2003-2008
-# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
-
-obj-y += at91rm9200ek.o
-obj-y += led.o
diff --git a/board/atmel/at91rm9200ek/at91rm9200ek.c b/board/atmel/at91rm9200ek/at91rm9200ek.c
deleted file mode 100644
index a314ced5e4a5..000000000000
--- a/board/atmel/at91rm9200ek/at91rm9200ek.c
+++ /dev/null
@@ -1,63 +0,0 @@
-// SPDX-License-Identifier: GPL-2.0+
-/*
- * (C) Copyright 2010 Andreas Bießmann <andreas@biessmann.org>
- *
- * derived from previous work
- *
- * (C) Copyright 2002
- * Sysgo Real-Time Solutions, GmbH <www.elinos.com>
- * Marius Groeger <mgroeger@sysgo.de>
- */
-
-#include <common.h>
-#include <init.h>
-#include <net.h>
-#include <netdev.h>
-#include <asm/global_data.h>
-#include <asm/mach-types.h>
-#include <asm/arch/hardware.h>
-#include <asm/arch/at91_pio.h>
-#include <asm/arch/at91_common.h>
-#include <asm/io.h>
-
-DECLARE_GLOBAL_DATA_PTR;
-
-/* ------------------------------------------------------------------------- */
-int board_init(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)AT91_PIO_BASE;
-
-	/*
-	 * Correct IRDA resistor problem
-	 * Set PA23_TXD in Output
-	 */
-	writel(ATMEL_PMX_AA_TXD2, &pio->pioa.oer);
-
-	/* arch number of AT91RM9200EK-Board */
-	gd->bd->bi_arch_number = MACH_TYPE_AT91RM9200EK;
-	/* adress of boot parameters */
-	gd->bd->bi_boot_params = CONFIG_SYS_SDRAM_BASE + 0x100;
-
-	return 0;
-}
-
-int board_early_init_f(void)
-{
-	at91_seriald_hw_init();
-	return 0;
-}
-
-int dram_init (void)
-{
-	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE,
-			CONFIG_SYS_SDRAM_SIZE);
-	return 0;
-}
-
-#ifdef CONFIG_DRIVER_AT91EMAC
-int board_eth_init(struct bd_info *bis)
-{
-	return at91emac_register(bis, (u32) ATMEL_BASE_EMAC);
-}
-#endif
diff --git a/board/atmel/at91rm9200ek/led.c b/board/atmel/at91rm9200ek/led.c
deleted file mode 100644
index a6b4d1fb651c..000000000000
--- a/board/atmel/at91rm9200ek/led.c
+++ /dev/null
@@ -1,71 +0,0 @@
-// SPDX-License-Identifier: GPL-2.0+
-/*
- * (C) Copyright 2006
- * Atmel Nordic AB <www.atmel.com>
- * Ulf Samuelsson <ulf@atmel.com>
- *
- * (C) Copyright 2010
- * Andreas Bießmann <andreas@biessmann.org>
- */
-
-#include <common.h>
-#include <asm/io.h>
-#include <asm/arch/hardware.h>
-#include <asm/arch/clk.h>
-#include <asm/arch/at91_pio.h>
-#include <status_led.h>
-
-/* bit mask in PIO port B */
-#define	GREEN_LED	(1<<0)
-#define	YELLOW_LED	(1<<1)
-#define	RED_LED		(1<<2)
-
-void	green_led_on(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(GREEN_LED, &pio->piob.codr);
-}
-
-void	 yellow_led_on(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(YELLOW_LED, &pio->piob.codr);
-}
-
-void	 red_led_on(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(RED_LED, &pio->piob.codr);
-}
-
-void	green_led_off(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(GREEN_LED, &pio->piob.sodr);
-}
-
-void	yellow_led_off(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(YELLOW_LED, &pio->piob.sodr);
-}
-
-void	red_led_off(void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-	writel(RED_LED, &pio->piob.sodr);
-}
-
-void coloured_LED_init (void)
-{
-	at91_pio_t *pio = (at91_pio_t *)ATMEL_BASE_PIO;
-
-	at91_periph_clk_enable(ATMEL_ID_PIOB);
-
-	/* Disable peripherals on LEDs */
-	writel(GREEN_LED | YELLOW_LED | RED_LED, &pio->piob.per);
-	/* Enable pins as outputs */
-	writel(GREEN_LED | YELLOW_LED | RED_LED, &pio->piob.oer);
-	/* Turn all LEDs OFF */
-	writel(GREEN_LED | YELLOW_LED | RED_LED, &pio->piob.sodr);
-}
diff --git a/configs/at91rm9200ek_defconfig b/configs/at91rm9200ek_defconfig
deleted file mode 100644
index fd9008a8fb09..000000000000
--- a/configs/at91rm9200ek_defconfig
+++ /dev/null
@@ -1,37 +0,0 @@
-CONFIG_ARM=y
-CONFIG_ARCH_CPU_INIT=y
-CONFIG_ARCH_AT91=y
-CONFIG_SYS_TEXT_BASE=0x10000000
-CONFIG_TARGET_AT91RM9200EK=y
-CONFIG_NR_DRAM_BANKS=1
-CONFIG_ENV_SIZE=0x10000
-CONFIG_ENV_SECT_SIZE=0x10000
-CONFIG_BOOTDELAY=3
-# CONFIG_DISPLAY_CPUINFO is not set
-# CONFIG_DISPLAY_BOARDINFO is not set
-CONFIG_BOARD_EARLY_INIT_F=y
-CONFIG_HUSH_PARSER=y
-CONFIG_SYS_PROMPT="U-Boot> "
-CONFIG_CMD_BOOTZ=y
-CONFIG_CMD_IMLS=y
-CONFIG_CMD_USB=y
-# CONFIG_CMD_SETEXPR is not set
-CONFIG_CMD_DHCP=y
-CONFIG_CMD_MII=y
-CONFIG_CMD_PING=y
-CONFIG_CMD_FAT=y
-CONFIG_ENV_OVERWRITE=y
-CONFIG_ENV_IS_IN_FLASH=y
-CONFIG_ENV_ADDR=0x10040000
-CONFIG_AT91_GPIO=y
-# CONFIG_MMC is not set
-CONFIG_MTD_NOR_FLASH=y
-CONFIG_FLASH_CFI_DRIVER=y
-CONFIG_SYS_FLASH_PROTECTION=y
-CONFIG_SYS_FLASH_CFI=y
-CONFIG_MII=y
-CONFIG_ATMEL_USART=y
-CONFIG_USB=y
-CONFIG_USB_STORAGE=y
-CONFIG_USB_KEYBOARD=y
-CONFIG_OF_LIBFDT=y
diff --git a/configs/at91rm9200ek_ram_defconfig b/configs/at91rm9200ek_ram_defconfig
deleted file mode 100644
index a61639f0beaa..000000000000
--- a/configs/at91rm9200ek_ram_defconfig
+++ /dev/null
@@ -1,38 +0,0 @@
-CONFIG_ARM=y
-CONFIG_ARCH_CPU_INIT=y
-CONFIG_ARCH_AT91=y
-CONFIG_SYS_TEXT_BASE=0x20100000
-CONFIG_TARGET_AT91RM9200EK=y
-CONFIG_NR_DRAM_BANKS=1
-CONFIG_ENV_SIZE=0x10000
-CONFIG_ENV_SECT_SIZE=0x10000
-CONFIG_SYS_EXTRA_OPTIONS="RAMBOOT"
-CONFIG_BOOTDELAY=3
-# CONFIG_DISPLAY_CPUINFO is not set
-# CONFIG_DISPLAY_BOARDINFO is not set
-CONFIG_BOARD_EARLY_INIT_F=y
-CONFIG_HUSH_PARSER=y
-CONFIG_SYS_PROMPT="U-Boot> "
-CONFIG_CMD_BOOTZ=y
-CONFIG_CMD_IMLS=y
-CONFIG_CMD_USB=y
-# CONFIG_CMD_SETEXPR is not set
-CONFIG_CMD_DHCP=y
-CONFIG_CMD_MII=y
-CONFIG_CMD_PING=y
-CONFIG_CMD_FAT=y
-CONFIG_ENV_OVERWRITE=y
-CONFIG_ENV_IS_IN_FLASH=y
-CONFIG_ENV_ADDR=0x10040000
-CONFIG_AT91_GPIO=y
-# CONFIG_MMC is not set
-CONFIG_MTD_NOR_FLASH=y
-CONFIG_FLASH_CFI_DRIVER=y
-CONFIG_SYS_FLASH_PROTECTION=y
-CONFIG_SYS_FLASH_CFI=y
-CONFIG_MII=y
-CONFIG_ATMEL_USART=y
-CONFIG_USB=y
-CONFIG_USB_STORAGE=y
-CONFIG_USB_KEYBOARD=y
-CONFIG_OF_LIBFDT=y
diff --git a/include/configs/at91rm9200ek.h b/include/configs/at91rm9200ek.h
deleted file mode 100644
index bf6a61434835..000000000000
--- a/include/configs/at91rm9200ek.h
+++ /dev/null
@@ -1,162 +0,0 @@
-/* SPDX-License-Identifier: GPL-2.0+ */
-/*
- * Copyright (C) 2010 Andreas Bießmann <biessmann.devel@googlemail.com>
- *
- * based on previous work by
- *
- * Ulf Samuelsson <ulf@atmel.com>
- * Rick Bronson <rick@efn.org>
- *
- * Configuration settings for the AT91RM9200EK board.
- */
-
-#ifndef __AT91RM9200EK_CONFIG_H__
-#define __AT91RM9200EK_CONFIG_H__
-
-#include <linux/sizes.h>
-
-/*
- * set some initial configurations depending on configure target
- *
- * at91rm9200ek_config     -> boot from 0x0 in NOR Flash at CS0
- * at91rm9200ek_ram_config -> continue booting from 0x20100000 in RAM; lowlevel
- *                            initialisation was done by some preloader
- */
-#ifdef CONFIG_RAMBOOT
-#define CONFIG_SKIP_LOWLEVEL_INIT
-#endif
-
-/*
- * AT91C_XTAL_CLOCK is the frequency of external xtal in hertz
- * AT91C_MAIN_CLOCK is the frequency of PLLA output
- * AT91C_MASTER_CLOCK is the peripherial clock
- * CONFIG_SYS_HZ_CLOCK is the value for CCR in tc0 (divider 2 is implicitely
- *  set in arch/arm/cpu/arm920t/at91/timer.c)
- * CONFIG_SYS_HZ is the tick rate for timer tc0
- */
-#define AT91C_XTAL_CLOCK		18432000
-#define CONFIG_SYS_AT91_SLOW_CLOCK	32768
-#define AT91C_MAIN_CLOCK		((AT91C_XTAL_CLOCK / 4) * 39)
-#define AT91C_MASTER_CLOCK		(AT91C_MAIN_CLOCK / 3 )
-#define CONFIG_SYS_HZ_CLOCK		(AT91C_MASTER_CLOCK / 2)
-
-/* CPU configuration */
-#define CONFIG_AT91RM9200
-#define CONFIG_AT91RM9200EK
-#define USE_920T_MMU
-
-#include <asm/hardware.h>	/* needed for port definitions */
-
-#define CONFIG_CMDLINE_TAG
-#define CONFIG_SETUP_MEMORY_TAGS
-#define CONFIG_INITRD_TAG
-
-/*
- * Memory Configuration
- */
-#define CONFIG_SYS_SDRAM_BASE		0x20000000
-#define CONFIG_SYS_SDRAM_SIZE		SZ_32M
-
-/*
- * LowLevel Init
- */
-#ifndef CONFIG_SKIP_LOWLEVEL_INIT
-#define CONFIG_SYS_USE_MAIN_OSCILLATOR
-/* flash */
-#define CONFIG_SYS_EBI_CFGR_VAL	0x00000000
-#define CONFIG_SYS_SMC_CSR0_VAL	0x00003284 /* 16bit, 2 TDF, 4 WS */
-
-/* clocks */
-#define CONFIG_SYS_PLLAR_VAL	0x20263E04 /* 179.712000 MHz for PCK */
-#define CONFIG_SYS_PLLBR_VAL	0x10483E0E /* 48.054857 MHz (divider by 2 for USB) */
-/* PCK/3 = MCK Master Clock = 59.904000MHz from PLLA */
-#define CONFIG_SYS_MCKR_VAL	0x00000202
-
-/* sdram */
-#define CONFIG_SYS_PIOC_ASR_VAL	0xFFFF0000 /* Configure PIOC as peripheral (D16/D31) */
-#define CONFIG_SYS_PIOC_BSR_VAL	0x00000000
-#define CONFIG_SYS_PIOC_PDR_VAL	0xFFFF0000
-#define CONFIG_SYS_EBI_CSA_VAL	0x00000002 /* CS1=CONFIG_SYS_SDRAM */
-#define CONFIG_SYS_SDRC_CR_VAL	0x2188c155 /* set up the CONFIG_SYS_SDRAM */
-#define CONFIG_SYS_SDRAM	CONFIG_SYS_SDRAM_BASE /* address of the SDRAM */
-#define CONFIG_SYS_SDRAM1	(CONFIG_SYS_SDRAM_BASE+0x80)
-#define CONFIG_SYS_SDRAM_VAL	0x00000000 /* value written to CONFIG_SYS_SDRAM */
-#define CONFIG_SYS_SDRC_MR_VAL	0x00000002 /* Precharge All */
-#define CONFIG_SYS_SDRC_MR_VAL1	0x00000004 /* refresh */
-#define CONFIG_SYS_SDRC_MR_VAL2	0x00000003 /* Load Mode Register */
-#define CONFIG_SYS_SDRC_MR_VAL3	0x00000000 /* Normal Mode */
-#define CONFIG_SYS_SDRC_TR_VAL	0x000002E0 /* Write refresh rate */
-#endif	/* CONFIG_SKIP_LOWLEVEL_INIT */
-
-/*
- * Hardware drivers
- */
-/*
- * Choose a USART for serial console
- * CONFIG_DBGU is DBGU unit on J10
- * CONFIG_USART1 is USART1 on J14
- */
-#define CONFIG_USART_BASE	ATMEL_BASE_DBGU
-#define CONFIG_USART_ID		0/* ignored in arm */
-
-/*
- * Network Driver Setting
- */
-#define CONFIG_DRIVER_AT91EMAC
-#define CONFIG_SYS_RX_ETH_BUFFER	16
-#define CONFIG_RMII
-
-/*
- * NOR Flash
- */
-#define CONFIG_SYS_FLASH_BASE		0x10000000
-#define PHYS_FLASH_1			CONFIG_SYS_FLASH_BASE
-#define PHYS_FLASH_SIZE			SZ_8M
-#define CONFIG_SYS_MAX_FLASH_BANKS	1
-#define CONFIG_SYS_MAX_FLASH_SECT	256
-
-/*
- * USB Config
- */
-#define CONFIG_USB_ATMEL			1
-#define CONFIG_USB_ATMEL_CLK_SEL_PLLB
-#define CONFIG_USB_OHCI_NEW			1
-
-#define CONFIG_SYS_USB_OHCI_CPU_INIT		1
-#define CONFIG_SYS_USB_OHCI_REGS_BASE		ATMEL_USB_HOST_BASE
-#define CONFIG_SYS_USB_OHCI_SLOT_NAME		"at91rm9200"
-#define CONFIG_SYS_USB_OHCI_MAX_ROOT_PORTS	15
-
-/*
- * Environment Settings
- */
-
-/*
- * after u-boot.bin
- */
-
-/* The following #defines are needed to get flash environment right */
-#define CONFIG_SYS_MONITOR_BASE		CONFIG_SYS_FLASH_BASE
-#define CONFIG_SYS_MONITOR_LEN		SZ_256K
-
-/*
- * Boot option
- */
-
-/* default load address */
-#define CONFIG_SYS_LOAD_ADDR		CONFIG_SYS_SDRAM_BASE + SZ_16M
-
-/*
- * Shell Settings
- */
-
-/*
- * Size of malloc() pool
- */
-#define CONFIG_SYS_MALLOC_LEN		ROUND(3 * CONFIG_ENV_SIZE + SZ_128K, \
-					     SZ_4K)
-
-#define CONFIG_SYS_INIT_SP_ADDR		(CONFIG_SYS_SDRAM_BASE + SZ_4K \
-					- GENERATED_GBL_DATA_SIZE)
-
-#endif /* __AT91RM9200EK_CONFIG_H__ */